4Suite™ API Documentation

# ► Module Ft.Lib.TestSuite.TestMode

Provides the TestMode base class for testing modes.

    Copyright 2002 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: DefaultMode, TestMode

## Classes

class DefaultMode(TestMode)

  ### Methods

  __init__(self)
    Overrides: __init__ from class TestMode
  finish(self, tester)
    Overrides: finish from class TestMode
  initialize(self, tester)
    Overrides: initialize from class TestMode
  start(self, tester)
    Overrides: start from class TestMode
class TestMode

  ### Methods

  __init__(self, name, default)
  finish(self, tester)
    Called when all tests have run to completion (or exception).
  initialize(self, tester)
    Called the first time this mode is used. A return value of false signals that this mode is not to be used.
  start(self, tester)
    Called before beginning any tests.